[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# Edecompressionerror

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Errors in the TDeCompressionStream class are signaled with this exception

## Declaration

Source position: zstream.pp line 103

`type Edecompressionerror = class(Ezliberror) end;`

## Inheritance

`Edecompressionerror` |  | Errors in the TDeCompressionStream class are signaled with this exception
`Ezliberror` |  | Base exception for exceptions in the ZStream unit
`EStreamError`
`Exception`
`TObject`

## Description

EDecompressionError is the exception class used by the TDeCompressionStream class.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .